2007-07-16  Andrew Cagney  <cagney@redhat.com>

        Merge lib/dw/ and lib/elf into lib/dwfl/.
        * README: Delete.
        * DwAtEncodings.shenum: Moved.
        * DwOpEncodings.shenum: Moved.
        * DwTagEncodings.shenum: Moved.
        * BaseTypes.java: Moved.
        * cni/DwarfDie.cxx: Moved.
        * cni/DwflModule.cxx: Moved.
        * cni/Dwarf.cxx: Moved.
        * cni/DwflLine.cxx: Moved.
        * cni/Dwfl.cxx: Moved.
        * cni/DwException.cxx: Moved.
        * die/StructureType.java: Moved.
        * die/ArrayType.java: Moved.
        * die/Variable.java: Moved.
        * die/VariantPart.java: Moved.
        * die/ClassType.java: Moved.
        * die/Namespace.java: Moved.
        * die/CatchBlock.java: Moved.
        * die/Member.java: Moved.
        * die/HiUser.java: Moved.
        * die/Variant.java: Moved.
        * die/MIPSLoop.java: Moved.
        * die/LoUser.java: Moved.
        * die/ConstType.java: Moved.
        * die/SubrangeType.java: Moved.
        * die/InlinedSubroutine.java: Moved.
        * die/EntryPoint.java: Moved.
        * die/TemplateValueParameter.java: Moved.
        * die/FormalParameter.java: Moved.
        * die/AccessDeclaration.java: Moved.
        * die/ImportedUnit.java: Moved.
        * die/ThrownType.java: Moved.
        * die/Constant.java: Moved.
        * die/UnspecifiedType.java: Moved.
        * die/StringType.java: Moved.
        * die/CompileUnit.java: Moved.
        * die/PackedType.java: Moved.
        * die/Inheritance.java: Moved.
        * die/Condition.java: Moved.
        * die/LexicalBlock.java: Moved.
        * die/Enumerator.java: Moved.
        * die/Subprogram.java: Moved.
        * die/SetType.java: Moved.
        * die/ReferenceType.java: Moved.
        * die/PartialUnit.java: Moved.
        * die/Module.java: Moved.
        * die/UnspecifiedParameters.java: Moved.
        * die/Label.java: Moved.
        * die/ImportedModule.java: Moved.
        * die/CommonBlock.java: Moved.
        * die/MutableType.java: Moved.
        * die/SharedType.java: Moved.
        * die/ClassTemplate.java: Moved.
        * die/InterfaceType.java: Moved.
        * die/Friend.java: Moved.
        * die/WithStmt.java: Moved.
        * die/BaseType.java: Moved.
        * die/PointerType.java: Moved.
        * die/Typedef.java: Moved.
        * die/TemplateTypeParameter.java: Moved.
        * die/FunctionTemplate.java: Moved.
        * die/VolatileType.java: Moved.
        * die/FormatLabel.java: Moved.
        * die/PtrToMemberType.java: Moved.
        * die/CommonInclusion.java: Moved.
        * die/RestrictType.java: Moved.
        * die/UnionType.java: Moved.
        * die/TryBlock.java: Moved.
        * die/ImportedDeclaration.java: Moved.
        * die/NamelistItem.java: Moved.
        * die/FileType.java: Moved.
        * die/DwarfProcedure.java: Moved.
        * die/EnumerationType.java: Moved.
        * die/SubroutineType.java: Moved.
        * die/Namelist.java: Moved.
        * DieVisitor.java: Moved.
        * DwarfCommand.java: Moved.
        * DwarfDieFactory.java: Moved.
        * DwarfDie.java: Moved.
        * DwarfException.java: Moved.
        * Dwarf.java: Moved.
        * DwException.java: Moved.
        * DwflDieBias.java: Moved.
        * Dwfl.java: Moved.
        * DwflLine.java: Moved.
        * DwflModule.java: Moved.
        * ModuleElfBias.java: Moved.
        * SymbolBuilder.java: Moved.
        * tests/TestDwfl.java: Moved.

2007-07-13  Sami Wagiaalla  <swagiaal@redhat.com>

        * cni/DwarfDie.cxx (get_addr): Added a boolean for checking
        dwarf_getlocation and dwarf_getlocation_addr success.
        (get_framebase): used dwarf_getlocation_addr instead of 
        dwarf_getlocation.

2007-07-12  Stan Cox  <scox@redhat.com>

        * cni/DwarfDie.cxx (get_type): Add const_type.

2007-07-09  Sami Wagiaalla  <swagiaal@redhat.com>

        * DwarfDie.java (toPrint): New function.

2007-07-06  Mike Cvet  <mcvet@redhat.com>

        * Dwfl.java (close): Added. Explicitly closes dwfl stuff.
        (finalize): Calls above.

2007-07-06  Sami Wagiaalla  <swagiaal@redhat.com>

        * cni/DwarfDie.cxx (get_framebase): Changed the while loop to
        check fb_len instead of code.
        (get_addr): Ditto.

2007-07-05  Sami Wagiaalla  <swagiaal@redhat.com>

        * DwarfDie.java: Removed unused import.

2007-07-05  Sami Wagiaalla  <swagiaal@redhat.com>

        * cni/DwarfDie.cxx (get_scopes_die): new function.
        * DwarfDie.java (getScopes): Extened javadoc.
        (getScopesDie): New function.
        Added new native function get_scopes_die.

2007-07-03  Andrew Cagney  <cagney@redhat.com>

        * NoDebugInfoException.java: Delete.

2007-06-28  Stan Cox  <scox@redhat.com>

        * cni/DwarfDie.cxx (getOffset): New.
        * cni/DwarfDie.cxx (get_offset): New.
        * DwAtEncodings.shenum: List all Dwarf attributes.
        * DwOpEncodings.shenum: List all Dwarf operators.

2007-06-26  Sami Wagiaalla  <swagiaal@redhat.com>

        * DwarfDie.java (getFrameBase): Added check and initialization
        for scopes.

2007-06-20  Tim Moore  <timoore@redhat.com>

        * DwarfDieFactory.java (DwarfDieFactory, loadDies): Give up on
        reflection for now and build a table of classes in loadDies.

2007-06-15  Nurdin Premji  <npremji@redhat.com>

        * DwarfDieFactory.java (loadDies): Call System.err.println 
        for each class, avoids ecj optimizing out these classes.

2007-06-14  Andrew Cagney  <cagney@redhat.com>

        * cni/DwException.cxx: Use "" and not <> for local includes.

2007-06-13  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getUltimateType): New.
        * cni/DwarfDie.cxx (get_type): Add follow_type_def parameter.

2007-06-04  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (toString): Use void if no type specified.

2007-05-29  Nurdin Premji  <npremji@redhat.com>

        * tests/TestDwfl.java (testDwfl): Added.        
        (testDwflReporting): Ditto.
        (testDwflModule): Ditto.
        (testDwflModule2): Ditto.
        (testDwflModules): Ditto.

2007-05-28  Nurdin Premji  <npremji@redhat.com>

        * Dwfl.java (dwfl_report_begin): Made public.
        (dwfl_report_end): Ditto.
        (dwfl_report_module): Ditto.
        * DwflModule.java (setUserData): Added.
        (toString): Added.
        * cni/Dwfl.cxx (read_proc_memory): Added.
        (dwfl_frysk_proc_find_elf): Added.
        (dwfl_begin ()): Use dwfl_frysk_proc_find_elf.
        (dwfl_report_module): Fix truncated last character bug.
        * cni/DwflModule.cxx: (setUserData): Added.

2007-05-25  Tim Moore  <timoore@redhat.com>

        * DwarfDie.java (manageDie, setManageDie): Delete die if 
        necessary.
        * cni/DwarfDie.cxx (finalize): Delete die if necessary.

2007-05-17  Stan Cox  <scox@redhat.com>

        * cni/DwarfDie.cxx (get_first_struct_member): New.
        (get_scopevar_names): Use it to get struct member names.

2007-05-14  Nurdin Premji  <npremji@redhat.com>

        * Dwfl.java (Dwfl): Added empty constructor, used when modules
        will be reported after creation.
        (dwfl_begin): Added.
        (dwfl_report_begin): Added.
        (dwfl_report_module): Added.
        (dwfl_report_end): Added.
        * cni/Dwfl.cxx: (dwfl_begin): Added.
        (dwfl_report_begin): Added.
        (dwfl_report_module): Added.
        (dwfl_report_end): Added.

2007-05-10  Stan Cox  <scox@redhat.com>

        * cni/DwarfDie.cxx (get_data_member_location): Throw if not struct.

2007-05-08  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getDeclColumn): New.
        * cni/DwarfDie.cxx (get_decl_column): New.

2007-05-01  Nurdin Premji  <npremji@redhat.com>

        * cni/DwflModule.cxx (getSymbol): Handle null methodName case.

2007-04-24  Nurdin Premji <npremji@redhat.com>

        * ModuleElfBias.java(toString): Added.

2007-04-20  Stan Cox  <scox@redhat.com>

        * DwAtEncodings.shenum (CC): Add DW_AT_{bit_size,bit_offset,byte_size}.

2007-04-18  Tim Moore  <timoore@redhat.com>

        * Dwfl.java: (getModulesForce): New method.
        * DwflModule.java (getSymbolByName): New native method.
        * cni/DwflModule.cxx (getSymbolByName): Implement it.
        * SymbolBuilder.java (symbol): Add bind and visibility arguments.

2007-04-15  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (toString): Renamed from baseTypeChar.
        * BaseTypes.java (baseTypeByte): Renamed from baseTypeChar.
        (isInteger): New.
        (isLong): New.
        (isFloat): New.

2007-04-10  Andrew Cagney  <cagney@redhat.com>

        * tests/TestDwfl.java: Use frysk.testbed.LocalMemory.
        * tests/TestLib.java: Delete file.
        * tests/cni/TestLib.cxx: Delete file.

        * tests/TestDwfl.java: Use frysk.sys.Pid.get.
        * tests/cni/TestLib.cxx (getPid): Delete.
        * tests/TestLib.java (getPid): Delete.

2007-04-03  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getDeclCU): Set scopes.

2007-03-30  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getAttr): Rename getAttrBoolean.
        (getUpperBound): Rename getAttrConstant.        
        (getDeclCU): New.
        * cni/DwarfDie.cxx (get_base_type): Indirect for DW_TAG_volatile_type.
        (get_decl_cu): New.
        (iterate_decl): Handle DW_TAG_enumerator.
        * DwAtEncodings.shenum (CC): Add DW_AT_const_value.

2007-03-29  Andrew Cagney  <cagney@redhat.com>

        * cni/DwarfDie.cxx (get_decl_file): Ensure it always returns
        something.

2007-03-29  Tim Moore  <timoore@redhat.com>

        * DwarfDieFactory.java (DwarfDieFactory): Remove gratuitous
        references to 1.5 generics stuff.

        * DwarfException.java: New class.
        * DwException.java: New class.
        * DwarfDieFactory.java: New class.
        * DieVisitor.java: New class.
        * DwTagEncodings.shenum: List all Dwarf tags.
        * DwarfDie.java (DwarfDie class): Make abstract.
        (getScopes, getScopeVar, getType, getChild, getSibling, getDecl):
        Use DwarfDieFactory. 
        (accept): New abstract method.
        (isInlineDeclaration, getInlinedInstances, get_entrypc): New native
        methods.
        (get_tag): Make static, package accessable.
        * Dwfl.java(getFactory): New method.
        (Dwfl constructors): use it.
        * cni/DwarfDie.cxx (get_entrypc): New method implementation.
        (get_decl_file, get_decl_line): Throw DwException if error.
        (isInlineDeclaration, getInlinedInstances): New method
        implementations.
        * cni/Dwfl.cxx (dwfl_addrdie): Use DwarfDieFactory.
        * lib/dw/die: New package with wrapper classes for Dwarf Dies.

2007-03-28  Nurdin Premji  <npremji@redhat.com>

        * DwflModule.java (getAddressName): Removed.
        (getSymbol): Added.
        * SymbolBuilder.java: Added.
        * cni/DwflModule.cxx (getAddressName): Removed.
        (getSymbol): Added.

2007-03-21  Tim Moore  <timoore@redhat.com>

        * DwarfDie.java (getEntryBreakpoints): New method.
        * cni/DwarfDie.cxx (getEntryBreakpoints): Implement it.

2007-03-15  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (setScopes): New.

2007-03-06  Stan Cox  <scox@redhat.com>

        * (DwAtEncodings.shenum): Don't assume /usr/include/dwarf.h.
        * (DwOpEncodings.shenum): Likewise.
        * (DwTagEncodings.shenum): Likewise.

2007-03-06  Stan Cox  <scox@redhat.com>

        * (DwAtEncodings.shenum): New file.
        * (DwOpEncodings.shenum): New file.
        * (DwTagEncodings.shenum): New file.
        * DwarfDie.java (DwarfOp): New.
        (addOps): New.
        (getAttr): New.
        (getTag): New.
        (getAddr): Use DwarfOp.
        (getFormData): Use DwarfOp.
        (isArrayType): Remove.
        (isClassType): Remove.
        (isFormalParameter): Remove.
        (isArtificial): Remove.
        (isExternal): Remove.
        * cni/DwarfDie.cxx (get_addr): Use addOps.
        (get_attr): New.
        (get_tag): New.
        (is_array_type): Remove.
        (is_class_type): Remove.
        (is_formal_parameter): Remove.
        (is_artificial): Remove.
        (get_formdata): Remove.
        
2007-02-28  Stan Cox  <scox@redhat.com>

        * cni/DwarfDie.cxx (GETREGNO): Add x8664 specific registers.

2007-02-14  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getDataMemberLocation): New.
        * cni/DwarfDie.cxx (get_data_member_location): New.

2007-02-05  Andrew Cagney  <cagney@redhat.com>

        * tests/TestDwfl.java: Replace frysk.junit.Paths with
        frysk.junit.Runner.getProgramBasename.

2007-01-31  Nurdin Premji  <npremji@redhat.com>

        * DwflModule.java (getAddressName): Added.
        * cni/DwflModule.cxx (getAddressName): New.

2007-01-29  Stan Cox  <scox@redhat.com>

        * BaseTypes.java (getTypeSize): New.

2007-01-22  Mike Cvet  <mcvet@redhat.com>

        * Dwfl.java (getLineAddresses): Changed return type to LinkedList.

2007-01-18  Mark Wielaard  <mark@klomp.org>

        * DwflLine.java (toString): New method that gives a debug String
        representation.

2007-01-12  Mike Cvet  <mcvet@redhat.com>

        * Dwfl.java (isLineExecutable): Added.

2007-01-11  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getScopeVarNames): New.
        (addScopeVarName): New.
        * cni/DwarfDie.java (get_scopevar_names): New.

2006-12-18  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (isFormalParameter): New.
        (isArtificial): New.
        (isExternal): New.
        (toString): New.
        (getDecl): New.
        * cni/DwarfDie.cxx (is_formal_parameter): New.
        (is_artificial): New.
        (is_external): New.
        (get_decl): New.

2006-12-14  Andrew Cagney  <cagney@redhat.com>

        * Dwfl.java: Delete import of java.util.Collections.
        * tests/TestDwfl.java: Delete redundant import of
        frysk.junit.TestCase.

2006-12-14  Adam Jocksch  <ajocksch@redhat.com>

        * Dwfl.java (getLineAddresses): Fixed small bug in initializing list.

        * Dwfl.java (getLineAddresses): Now returns a list rather than a Vector
        (bug #3729).
        * TestDwfl.java (testGetAddresses): Refactored to reflect above change.

2006-12-14  Andrew Cagney  <cagney@redhat.com>

        * tests/TestDwfl.java: Use frysk .junit .Paths .getRunnerBasename.

2006-12-13  Jan Kratochvil  <jan.kratochvil@redhat.com>

        * cni/Dwfl.cxx (dwfl_begin): Fixed `debuginfo' files search path typo.

2006-12-06  Andrew Cagney  <cagney@redhat.com>

        * NoDebugInfoException.java: Add copyright.
        * DwarfCommand.java: Ditto.

2006-11-24  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (scopes): New.
        (getScopeVar): Set it.
        (getFrameBase): Use it.
        (getFormData): Use it.        
        (getScopeIndex): New.
        * cni/DwarfDie.cxx (get_scope_var): Return scope index.

2006=11=09  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (isClassType): New.
        * cni/DwarfDie.cxx (is_class_type): New.

2006-11-03  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getType): New.
        (getBaseType): New.
        (getUpperBound): New.
        (isArrayType): New.
        (getChild): New.
        (getSibling): New.
        * cni/DwarfDie.cxx (get_type): New.
        (get_baseType): New.
        (get_upper_bound): New.
        (is_array_type): New.
        (get_child): New.
        (get_sibling): New.

2006-10-26  Tim Moore  <moore@redhat.com>

        * cni/Dwfl.cxx (dwfl_begin): Remove use of alloca.
        * cni/DwflModule.cxx (getLines): Remove use of alloca.

2006-10-25  Tim Moore  <moore@redhat.com>

        * cni/Dwfl.cxx (dwfl_begin): Declare flags variable static; its
        address is stashed in callbacks structure.
        * cni/DwflModule.cxx (getLines): fix broken use of
        JvGetStringUTFRegion and lack of terminating null.
        * tests/TestDwfl.java (testGetAddresses): re-enable.

2006-10-24  Andrew Cagney  <cagney@redhat.com>

        * tests/TestDwfl.java (testGetAddresses): Mark as broken, 3416.

2006-10-20  Stan Cox  <scox@redhat.com>

        * Dwarf.java (getSourceFiles): New.
        (cni/Dwarf.cxx) (get_source_files): New.

2006-10-20  Tim Moore  <timoore@redhat.com>

        * Dwfl.java (getModules): New method.
        (getModule): Move to CNI.
        (getLineAddresses): New method.
        * cni/Dwfl.cxx (getModule, dwfl_getmodules): New native methods.
        * DwflModule.java (getName, getLines): New methods.
        * cni/DwflModule.cxx (getName, getLines): Implementations.
        * DwflLine.java (DwflLine): Make visible to package.
        * tests/TestDwfl.java (testGetModules, testGetAddresses): New
        tests for new methods. 

2006-10-11  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getFormData): New.
        * cni/DwarfDie.cxx (get_formdata): New.

2006-10-09  Adam Jocksch  <ajocksch@redhat.com>

        * DwflLine.java: Reformatted.
        (getCompilationDir): Added.
        * cni/DwflLine.cxx (dwfl_linecomp_dir): Added.

2006-10-04  Mike Cvet  <mcvet@redhat.com>

        * Dwfl.java (getSourceLine): Added try/catch around dwfl call.

2006-10-02  Stan Cox  <scox@redhat.com>

        * cni/DwarfDie.cxx (get_scopevar): Check for DW_TAG_variable.

2006-09-29  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getFrameBase): Simplify DW_AT_frame_base handling.
        * cni/DwarfDie.cxx (get_framebase): Likewise.

2006-09-19  Mark Wielaard  <mark@klomp.org>

        * tests/cni/TestLib.cxx (getFuncAddr): Extract define out of
        function and put whole definition on one line.
        * tests/TestDwfl.java (testGetLine): Use same line number for all
        architectures.

2006-09-19  Yao Qi  <qiyaoltc@cn.ibm.com>

        * tests/TestDwfl.java (testGetLine): Skip it when build on X86_64.
        Change the line number result for powerpc64.

2006-09-18  Adam Jocksch  <ajocksch@redhat.com>

        * DwarfDie.java (isInlinedFunction): New.
        (is_inline_func): New.
        * cni/DwarfDie.cxx (is_inline_func): New.
        * tests/TestDwfl.java (testGetDie): Added commented out line to test
        isInlinedFunction, do not want to enable this right now until we
        are sure it does not break the build.

2006-09-18  Stan Cox  <scox@redhat.com>

        * DwarfDie.cxx (getScopeVar): Use JvGetStringUTFRegion.

2006-09-12  Stan Cox  <scox@redhat.com>

        * DwarfDie.java (getScopeVar): New.
        (getScope): New.
        (getDeclFile): New.
        (getDeclLine): New.
        (getAddr): New.
        (getType): New.
        (fbregVariable): New.
        (getFrameBase): New.
        * cni/DwarfDie.cxx (get_scopevar): New.
        (get_decl_file): New.
        (get_decl_line): New.
        (get_addr): New.
        (get_type): New.
        (fbreg_variable): New.
        (get_framebase): New.

2006-08-28  Andrew Cagney  <cagney@redhat.com>

        * tests/TestDwfl.java: Extend frysk.junit.TestCase.
        (trueXXX, brokenXXX): Delete, moved to frysk.junit.TestCase.

2006-08-16  Tim Moore  <timoore@redhat.com>

        * TestDwfl.java (testGetLine): Disable; it's too sensitive to compiler
        debug settings.

2006-08-07  Yao Qi  <qiyaoltc@cn.ibm.com>

        * tests/cni/TestLib.cxx (getFuncAddr): Return function
        address instead of function descriptor on PPC64.
        * tests/TestDwfl.java: Take powerpc into account, and
        change the expected line numbers.

2006-07-31  Adam Jocksch  <ajocksch@redhat.com>

        * tests/TestDwfl.java (testGetLine): Fixed, test now works on x86_64.

2006-07-27  Mark Wielaard  <mark@klomp.org>

        * tests/TestDwfl.java (testGetLine): Mark as broken bug #2965.

2006-07-25  Adam Jocksch  <ajocksch@redhat.com>

        * Dwfl.java (getDie): Now returns an instance of DwflDieBias.
        (dwfl_addrdie): Ditto.
        * DwflDieBias.java: Added.
        * DwflModule.java (getElf): Refactored to reflect the name change to
        ModuleElfBias, also moved most of the logic to the native code.
        (module_getelf): Now returns a ModuleElfBias object.
        * ModuleElfBias.java: Renamed from ModuleElfFile.java.
        * cni/Dwfl.cxx (dwfl_addrdie): Now returns a DwflDieBias object.
        * cni/DwflModule.cxx (module_getelf): Now returns a ModuleElfBias
        object.
        * tests/TestDwfl.java (testGetDie): Now uses DwflDieBias and checks for
        the returned bias.

2006-07-24  Adam Jocksch  <ajocksch@redhat.com>

        * Dwfl.java (getModule): Added.
        (dwfl_addrmodule): Added.
        * DwflModule.java: Added header and formatted to GNU formatting.
        (getElf): Added.
        (module_getelf): Added.
        * ModuleElfFile.java: Added, rename pending.
        * cni/Dwfl.cxx (dwfl_addrmodule): Added.
        * cni/DwflModule.cxx: Added.

        * test/TestDwfl.java (testGetLine): Removed checks for pc addresses,
        since they were very fragile and break given the slightest change
        (bug 2951).

2006-07-22  Andrew Cagney  <cagney@redhat.com>

        * tests/TestDwfl.java (trueXXX, brokenXXX): Add.
        (testGetLine): Disable.

2005-07-21  Adam Jocksch  <ajocksch@redhat.com>

        * tests/testDwfl.java: GNU formatted.

        * DwarfDie.java (getScopes): Added.
        (get_scopes): Added.
        * cni/DwarfDie.cxx (get_scopes): Added.
        * tests/TestDwfl.java (testGetDie): Added.

2005-07-17  Adam Jocksch  <ajocksch@redhat.com>

        * DwarfDie.java (getName): Added.
        (get_diename): Added.
        * cni/Dwarf.cxx (DWARF_POINTER): Refactored out.
        * cni/DwarfDie.cxx (DWARF_DIE_POINTER): Ditto.
        (get_diename): Added.
        * cni/Dwfl.cxxx (DWFL_POINTER): Refactored out.
        * cni/DwflLine.cxx (DWFL_LINE_POINTER): Ditto.

2005-07-14  Adam Jocksch  <ajocksch@redhat.com>

        * Dwfl.java: Changed to GNU formatting.
        (getDie): Added.
        * DwflDie.java: Changed to GNU formatting.
        (DwflDie): Now takes a pointer to a Dwfl parent object.
        (getLowPC): Added.
        (getHighPC): Added.
        * cni/DwflDie.cxx: Added.
        * cni/Dwfl.java (dwfl_addrdie): Added.

2005-06-19  Adam Jocksch  <ajocksch@redhat.com>

        * NoDebugInfoException.java: Added.

2005-06-14  Adam Jocksch  <ajocksch@redhat.com>

        * cni/Dwfl.cxx (dwfl_begin): Now uses JvAllocBytes to allocate the
        memory for the callbacks struct, so it can be kept in a RawDataManaged.

2005-06-06  Adam Jocksch  <ajocksch@redhat.com>

        * tests/TestDwfl.java (testGetLine): Now checks for correctness of
        filename, line number, and column, also removed failing assertion from
        end that was used for debugging purposes.
        
        * tests/TestDwfl.java: Added Frysk license.
        * tests/TestLib.java: Ditto.
        * tests/cni/TestLib.cxx: Ditto.

        * tests: Added.
        * tests/TestDwfl.java: Added.
        * tests/TestLib.java: Added.
        * tests/cni: Added.
        * tests/cni/TestLib.cxx: Added.

2005-06-05  Adam Jocksch  <ajocksch@redhat.com>

        * Dwfl.java (getCallbacks): Added, shouldn't be called just satisfying
        ecj.
        * Dwfl.cxx (dwfl_begin): Now properly allocates callback object.

2005-05-31  Adam Jocksch  <ajocksch@redhat.com>

        * DwflLine.java (DwflLine): Now takes a pointer to the parent Dwfl.
        (getParent): Added.
        * DwflModule.java (DwflModule): Now takes a pointer to the parent Dwfl.
        (getParent): Added.

2005-05-30  Adam Jocksch  <ajocksch@redhat.com>

        * cni/Dwfl.cxx (dwfl_begin): Fixed errors.

        * Dwfl.java (Dwfl): Now takes a pid.
        * cni/Dwfl.cxx (dwfl_begin): Now takes a pid, and calls
        dwfl_linux_proc_report for that process.

2005-05-24  Adam Jocksch  <ajocksch@redhat.com>

        * Dwarf.java: Created.
        * DwarfCommand.java: Ditto.
        * DwarfDie.java: Ditto.
        * Dwfl.java: Ditto.
        * DwflLine.java: Ditto.
        * DwflModule.java: Ditto.
        * cni: Added.
        * cni/Dwarf.cxx: Created.
        * cni/Dwfl.cxx: Ditto.
        * cni/DwflLine.cxx: Ditto.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:

